Bug 252829 - security/wolfssl: Add DEBUG option and enable more features
Summary: security/wolfssl: Add DEBUG option and enable more features
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Santhosh Raju
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2021-01-19 13:40 UTC by Fabian Keil
Modified: 2021-01-31 01:13 UTC (History)
0 users

See Also:
fox: maintainer-feedback+


Attachments
security/wolfssl: Add DEBUG option and enable more features (3.94 KB, patch)
2021-01-19 13:41 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2021-01-19 13:40:52 UTC
The attached patch adds a DEBUG option and enables more features:
    
    - Set --enable-opensslall which is needed for
      wolfSSL_X509_NAME_print_ex() and friends.
    - Set --enable-certgen to allow certificate generation.
    - Define WOLFSSL_ALT_NAMES so one can generate certificates
      with the Subject Alternative Name extension.
    - Set --enable-sessioncerts to allow to inspect certificates
      with wolfSSL_get_peer_cert_chain().
    - Set --enable-des3 so one can load PBES2-3DES-CBC-encoded keys.
    
Additionally a patch to prevent memory leaks is included.
Comment 1 Fabian Keil 2021-01-19 13:41:19 UTC
Created attachment 221740 [details]
security/wolfssl: Add DEBUG option and enable more features
Comment 2 Santhosh Raju freebsd_committer 2021-01-19 22:45:02 UTC
Hello Fabian

Thank you for the patch, I shall go through it and test out the builds.

Once done I shall get back to you.
Comment 3 commit-hook freebsd_committer 2021-01-29 22:11:41 UTC
A commit references this bug:

Author: fox
Date: Fri Jan 29 22:11:12 UTC 2021
New revision: 563255
URL: https://svnweb.freebsd.org/changeset/ports/563255

Log:
  security/wolfssl: Add DEBUG option and enable more features.

  - Set --enable-opensslall which is needed for
    wolfSSL_X509_NAME_print_ex() and friends.
  - Set --enable-certgen to allow certificate generation.
  - Define WOLFSSL_ALT_NAMES so one can generate certificates
    with the Subject Alternative Name extension.
  - Set --enable-sessioncerts to allow to inspect certificates
    with wolfSSL_get_peer_cert_chain().
  - Set --enable-des3 so one can load PBES2-3DES-CBC-encoded keys.

  Additionally a patch to prevent memory leaks is included.

  PR:		252829
  Submitted by:	Fabian Keil <fk@fabiankeil.de>
  Reported by:	Fabian Keil <fk@fabiankeil.de>
  Approved by:	fox (maintainer)

Changes:
  head/security/wolfssl/Makefile
  head/security/wolfssl/files/
  head/security/wolfssl/files/patch-src-ssl.c
Comment 4 Santhosh Raju freebsd_committer 2021-01-29 22:27:26 UTC
Everything looks good, applied the patch and committed the changes.

Thank you for the report.

Closing the report.